Subject: Re: bug#12035: GNUS crashing too often (emacs-24.1-1958-g9d4216a)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 23 Jul 2012 21:17:39 +0300

> Date: Mon, 23 Jul 2012 21:10:04 +0300
> From: Dennis Yurichev <[email-masked]>
> 
> I got latest emacs from git today (emacs-24.1-1958-g9d4216a).
> 
> When I work in GNUS, it's crashing too often (and randomly).
> Here is GDB stack trace... NULL pointer is seems coming into
> string_count_byte8()
> 
> Any other info I can get? elisp backtrace?
> 
> Program received signal SIGSEGV, Segmentation fault.
> string_count_byte8 (string=57141274) at character.c:801
> 801             c = *p;
> 
> #0  string_count_byte8 (string=57141274) at character.c:801
> #1  string_escape_byte8 (string=57141274) at character.c:833
> #2  0x0106c82f in print_string (string=<optimized out>,
> printcharfun=57141274) at print.c:363
> #3  0x0106e5bf in print_object (obj=102718277, printcharfun=57141274,
> escapeflag=0)
>     at print.c:1903

Update to a newer revision.  This was solved about an hour ago.